Skip to content
SIBISIBI Developers
Esc
↑↓navigate↵open⌘Jpreview

Create a research task

Starts an asynchronous Research Agent task and returns a status URL to poll.

POST/api/agents/{agentId}/tasks/create
Authorization
AuthorizationBearer token · headerrequired

SIBI API token from the SIBI Developer Portal.

Path parameters
agentIdstringrequired

Research Agent ID assigned to your organization.

Request body
requiredapplication/json
messagestringrequired

A product model, part number, description, or follow-up answer.

min length 1
attachmentsAttachment[]
default: []
Show properties
Array of Attachment
typeanyrequired
urlstringrequired

An HTTP(S) URL or supported data URL.

mediaTypestringrequired

Media type of the file.

filenamestringrequired

Filename presented to Research Agent.

Examples
{
  "message": "GE GTS18GTHWW"
}
Responses
202

Task accepted.

statusanyrequired
taskIdstringrequired
statusUrlstring<uri>required
400

The request body is invalid.

errorstringrequired
detailsobject
401

The bearer token is missing or invalid.

errorstringrequired
403

The authenticated user cannot access the requested agent.

errorstringrequired
Request
curl -X POST 'https://agents.sibi.ai/api/agents/string/tasks/create' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "message": "GE GTS18GTHWW"
}'
Response
{
  "status": "pending",
  "taskId": "string",
  "statusUrl": "http://example.com"
}

Was this page helpful?